Skip to content
Start here

Get a policy by ID

GET/accounts/{account_id}/cws/policies/{policy_id}

Returns the policy with the specified ID.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string

Cloudflare account ID (32-character hexadecimal string)

maxLength32
minLength32
policy_id: string

ID of the policy to retrieve

formatuuid
ReturnsExpand Collapse
errors: array of object { code, message, source }
code: number
formatint64
message: string
source: optional object { pointer }
pointer: string
messages: array of object { code, message, source }
code: number
formatint64
message: string
source: optional object { pointer }
pointer: string
result: Policy { id, created_at, entrypoint, 7 more }
id: string

Server-assigned UUID

formatuuid
created_at: string
formatdate-time
entrypoint: string

Non-function rule declared in rego_source. Evaluation uses data.<package_path>..

maxLength255
filter: string

Filter expression that determines whether this policy applies. Maximum 4096 UTF-8 bytes.

maxLength4096
minLength1
name: string

Human-readable name; unique per account

maxLength100
minLength1
package_path: string

Dotted path derived from rego_source. Begins with policy. and is unique per account.

maxLength1024
rego_source: string

Inline Rego source with a package beginning with “policy.” Maximum 16384 UTF-8 bytes.

maxLength16384
minLength1
tags: map[string]

Tags attached to this policy

updated_at: string
formatdate-time
description: optional string

Optional free-form description.

maxLength1024
success: boolean

Get a policy by ID

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cws/policies/$POLICY_ID \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "entrypoint": "entrypoint",
    "filter": "x",
    "name": "x",
    "package_path": "package_path",
    "rego_source": "x",
    "tags": {
      "foo": "string"
    },
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "entrypoint": "entrypoint",
    "filter": "x",
    "name": "x",
    "package_path": "package_path",
    "rego_source": "x",
    "tags": {
      "foo": "string"
    },
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description"
  },
  "success": true
}